      subroutine HEDSHO
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'UNITS.INC'
      integer I,II,J,K,K2,KNT,III,IV,VRAIL,K1,NSLINE
      parameter (NSLINE=20)
      KNT = KOUNT
      if (KOUNT.gt.NPX) KNT = NPX
      III = VRAIL(ECONAM)
      write (TTYOUT(MACHNO),5000) (ECONAM(IV),IV=1,III)
5000  format (/' Name of environment: ',50A1)
      write (TTYOUT(MACHNO),5010) KNT
5010  format (' Total number of segments (KOUNT) = ',I3)
      if (KNT.eq.0) go to 110
      K = KNT/NSLINE
      J = KNT-NSLINE*K
      if (J.ne.0) K = K+1
      do 100 II = 1, K
         K1 = (II-1)*NSLINE+1
         K2 = K1+NSLINE-1
         if (K2.gt.KNT) K2 = KNT
         write (TTYOUT(MACHNO),5020) (I,I=K1,K2)
         write (TTYOUT(MACHNO),5030) (TYPEG(I),I=K1,K2)
100   continue
110   continue
5020  format (' Segment Number: ',100(I2,1X))
5030  format (' Segment "TYPE": ',100(1X,A1,1X))
      return
      end
